using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;
using System.Device.Location;
using System;

namespace BingMapsTaskSample
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Instanzierung des BingMapsTask
        private BingMapsTask myBingMapsTask = new BingMapsTask();

        // Hauptkonstruktor
        public MainPage()
        {
            InitializeComponent();        
        }

        // Ereignismethode der BingMapsTask Schaltfaeche
        private void btn_BingMapsTask_Click(object sender, RoutedEventArgs e)
        {
            // wenn Auswahlbox markiert ist, dann Koordinaten als Ausgangspunkt der Suche verwenden
            if (cbx_UseCenter.IsChecked.Value)
            {
                myBingMapsTask.Center = new GeoCoordinate(Convert.ToDouble(txb_Coord1.Text), Convert.ToDouble(txb_Coord2.Text));
            }
            
            // eingegebener Suchbegriff setzen 
            myBingMapsTask.SearchTerm = txb_SearchTerm.Text;
            // Zoomstufe setzen
            myBingMapsTask.ZoomLevel = sld_ZoomLevel.Value;
            // BingMaps Dialog mit Suchergebnis anzeigen
            myBingMapsTask.Show();            
        }

        // Ereignismethode der Positionskoordinatenbox
        private void cbx_UseCenter_Click(object sender, RoutedEventArgs e)
        {
            if (cbx_UseCenter.IsChecked.Value)
            {
                // Wenn Positionskoordinaten verwendet werden, Felder aktivieren
                txb_Coord1.IsEnabled = true;
                txb_Coord2.IsEnabled = true;            
            }
            else
            {
                // wenn keine Positionskoordinaten verwendet werden, Inhalte der Eingabefelder löschen und Felder deaktivieren
                txb_Coord1.Text = "";
                txb_Coord2.Text = "";
                txb_Coord1.IsEnabled = false;
                txb_Coord2.IsEnabled = false;
            }
        }
    }
}